Name:           libgdbus
Version:        0.2
Release:        2%{?dist}
Summary:        Library for simple D-Bus integration with GLib

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.bluez.org/
Source0:        http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel
BuildRequires:  dbus-devel
BuildRequires:  gtk-doc

%description
libgdbus is a helper library for D-Bus integration with GLib.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-gtk-doc
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/libgdbus/
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Dec 06 2008 Fabian Affolter <fabian@bernewireless.net> - 0.2-2
- Added more Docs

* Wed Nov 12 2008 Fabian Affolter <fabian@bernewireless.net> - 0.2-1
- Initial package for Fedora
